Subject: Re: [PATCH] PowerPC 440EPx Sequoia USB OHCI DTS entry

From: Valentine Barshak <[email-masked]>
Date: Tue, 23 Oct 2007 21:18:18 +0400

Segher Boessenkool wrote:
>> +            compatible = "ohci-be";
> 
> Can we fix this please, in the same way as with EHCI?  I.e., the
> "compatible" should say it is USB, e.g. "usb-ohci"; and the
> "big-endian" quirkiness should be expressed by a property, not by
> the "compatible" name (since that would lead to exponential
> explosion of all possible combinations of quirks, if nothing else).
> 
> 
> Segher
> 
I was thinking about it too.
We need to fix the OHCI OF driver and all its users' dts files (if any).
Actually I also don't see much reason for the 
USB_OHCI_HCD_PPC_OF_BE/USB_OHCI_HCD_PPC_OF_LE stuff.
Is this really needed?
Thanks,
Valentine.